Package com.avaya.clientservices.visualvoicemail

## Enum VisualVoiceMailMessage.FileStatus

- java.lang.Object
- - java.lang.Enum<VisualVoiceMailMessage.FileStatus>
  - - com.avaya.clientservices.visualvoicemail.VisualVoiceMailMessage.FileStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VisualVoiceMailMessage.FileStatus>`
  Enclosing interface:
    VisualVoiceMailMessage

      public static enum VisualVoiceMailMessage.FileStatus
      extends java.lang.Enum<VisualVoiceMailMessage.FileStatus>

  Visual voicemail audio file download status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONSUMED` | File was already opened by user.
    `DOWNLOADING` | File is being downloaded.
    `READY_TO_CONSUME` | File is ready to consume.
    `READY_TO_DOWNLOAD` | File is ready to be downloaded.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VisualVoiceMailMessage.FileStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VisualVoiceMailMessage.FileStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READY_TO_DOWNLOAD

          public static final VisualVoiceMailMessage.FileStatus READY_TO_DOWNLOAD

      File is ready to be downloaded.

    - #### DOWNLOADING

          public static final VisualVoiceMailMessage.FileStatus DOWNLOADING

      File is being downloaded.

    - #### READY_TO_CONSUME

          public static final VisualVoiceMailMessage.FileStatus READY_TO_CONSUME

      File is ready to consume.

    - #### CONSUMED

          public static final VisualVoiceMailMessage.FileStatus CONSUMED

      File was already opened by user.

  - ### Method Detail

    - #### values

          public static VisualVoiceMailMessage.FileStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VisualVoiceMailMessage.FileStatus c : VisualVoiceMailMessage.FileStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VisualVoiceMailMessage.FileStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null